EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'DockerBlobs_GetBlobs',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'DockerBlobs',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the blobs in a feed.'
GO

IF OBJECT_ID('[DockerBlobs_GetBlobs]') IS NOT NULL DROP PROCEDURE [DockerBlobs_GetBlobs]
GO

SET QUOTED_IDENTIFIER ON
GO
SET ANSI_NULLS ON
GO

CREATE PROCEDURE [DockerBlobs_GetBlobs]
(
	@Feed_Id INT,
	@Blob_Digest VARCHAR(128) = NULL
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [DockerBlobs]
	 WHERE [Feed_Id] = @Feed_Id
	   AND ([Blob_Digest] = @Blob_Digest OR @Blob_Digest IS NULL)

END
GO

GRANT EXECUTE ON [DockerBlobs_GetBlobs] TO [ProGetUser_Role]
GO