EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Feeds_GetExtendedConfiguration',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'DataSet',
    /* DataTableNames_Csv      */ 'FeedAdapters,FeedPackageAccessRules,Connectors,FeedPackageFilters',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets common extra information often required by a feed.'
GO

IF OBJECT_ID('[Feeds_GetExtendedConfiguration]') IS NOT NULL DROP PROCEDURE [Feeds_GetExtendedConfiguration]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Feeds_GetExtendedConfiguration]
(
	@Feed_Id INT
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [FeedAdapters]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [FeedAdapter_Sequence]

	SELECT *
	  FROM [FeedPackageAccessRules]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Sequence_Number]

	SELECT C.*
	  FROM [FeedConnectors] FC
	       INNER JOIN [Connectors] C
		           ON C.[Connector_Id] = FC.[Connector_Id]
	 WHERE FC.[Feed_Id] = @Feed_Id
	 ORDER BY FC.[Sequence_Number]

	SELECT *
	  FROM [FeedPackageFilters]
	 WHERE [Feed_Id] = @Feed_Id
	 ORDER BY [Sequence_Number]

END
GO

GRANT EXECUTE ON [Feeds_GetExtendedConfiguration] TO [ProGetUser_Role]
GO
